.service-time-form .service-time-form__subtitle {
    font-size: 14px;
    margin-bottom: 16px;
    display: block;
    line-height: 16px
}
@media only screen and (min-width : 1200px) {
    .service-time-form .service-time-form__subtitle {
        font-size: 20px;
        line-height: 26px;
        margin-bottom: 48px;
    }
}

.service-time-form .service-time-form__steps {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 16px;
}

.service-time-form .service-time-form__steps-content .submit_holder {
    margin-top: 20px;
}
.service-time-form .service-time-form__steps-content .submit_holder button {
    border-radius: 5px;
    font-size: 24px;
    text-transform: none;
    height: auto;
    display: flex;
    gap: 15px;
    align-items: center;
    justify-content: center;
    padding: 12px;
    max-width: 360px;
    margin: 0 auto;
}
.service-time-form .service-time-form__input-step .input_holder,
.service-time-form .service-time-form__input-step .checkbox_holder {
    position: relative;
}
.service-time-form .service-time-form__input-step input.error {
    border-color: #DF1C41;
}
.service-time-form .service-time-form__input-step input.error + label.error {
    color: #DF1C41;
    font-size: 12px;
    position: absolute;
    top: 100%;
    left: 0;
    margin: 0;
}


.service-time-form .service-time-form__step {
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
    width: 25%;
    position: relative;
}
.service-time-form .service-time-form__step:after {
    content: '';
    display: block;
    background: #E5E5E5;
    height: 2px;
    width: 100%;
    position: absolute;
    left: calc(50% + 12px);
    bottom: 12px;
}
.service-time-form .service-time-form__step.active:after {
    background: #000;
}
.service-time-form .service-time-form__step p {
    font-size: 12px;
}
.service-time-form .service-time-form__step span {
    border: 1px solid #B2B2B2;
    border-radius: 50%;
    background: #000;
    min-width: 24px;
    min-height: 24px;
    width: 24px;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 16px;
    color: #fff;
    position: relative;
    z-index: 1;
}

@media only screen and (max-width : 1199px) {
    .service-time-form .service-time-form__step:last-child:after {
        display: none;
    }
}
@media only screen and (min-width : 1200px) {
    .service-time-form .service-time-form__steps {
        margin-bottom: 48px;
    }
    .service-time-form .service-time-form__step {
        align-items: flex-start;
    }
    .service-time-form .service-time-form__step p {
        font-size: 16px;
    }
    .service-time-form .service-time-form__step:after {
        left: 0;
    }
}

.service-time-form__steps-content .step-title {
    display: block;
    font-size: 16px;
    margin-bottom: 24px;
}

.service-time-form__input-step .input-rows {
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-bottom: 16px;
}
.service-time-form__input-step .input-rows .step_row {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.service-time-form__input-step .more-data {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.service-time-form__input-step .more-data-checkbox {
    border: 1px solid #000;
    border-radius: 5px;
    padding: 20px;
}
.service-time-form__input-step .more-data-checkbox span {
    display: block;
    font-size: 16px;
    margin-bottom: 24px;
}
.service-time-form__input-step .more-data-checkbox .modal_form__row {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.service-time-form__input-step .more-data .type-connect {
    margin-top: 20px;
}

.service-time-form__input-step .more-data .type-connect .title {
    display: block;
    font-size: 16px;
    margin-bottom: 18px;
}
.service-time-form__input-step .more-data .type-connect .radio_holder {
    justify-content: flex-start;
}
.service-time-form__input-step .more-data .type-connect .radio_wrap label {
    margin-bottom: 0;
    margin-top: 10px;
}
.service-time-form__input-step .more-data .type-connect .radio_wrap label span {
    font-size: 14px;
}

@media only screen and (min-width : 1200px) {
    .service-time-form__input-step .input-rows {
        flex-direction: row;
        margin-bottom: 24px;
        gap: 24px;
    }
    .service-time-form__input-step .input-rows .step_row {
        width: 50%;
        gap: 32px;
    }
    .service-time-form__input-step .more-data {
        flex-direction: row;
        gap: 24px;
    }
    .service-time-form__input-step .more-data .step_row {
        width: 50%;
    }

    .service-time-form .service-time-form__steps-content .submit_holder {
        margin-top: 30px;
    }
}


.service-time-form__action-step .service-type {
    display: flex;
    flex-wrap: wrap;
    gap: 14px;
    margin-bottom: 24px;
}

.service-time-form__action-step .service-type .st-wrap {
    position: relative;
    width: calc(50% - 7px);
    display: flex;
}
.service-time-form__action-step .service-type .st-wrap label {
    border-radius: 5px;
    border: 1px solid #000;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
    font-size: 16px;
    padding: 16px 24px;
    cursor: pointer;
    margin: 0;
    width: 100%;
}
.service-time-form__action-step .service-type .st-wrap input {
    position: absolute;
    opacity: 0;
    z-index: -1;
}
.service-time-form__action-step .service-type .st-wrap input:checked + label {
    background: #ededed;
}
@media only screen and (min-width : 1200px) {
    .service-time-form__action-step .service-type {
        gap: 17px;
    }
    .service-time-form__action-step .service-type .st-wrap label {
        font-size: 24px;
        padding: 24px;
    }
    .service-time-form__action-step .service-type .st-wrap {
        width: calc(33.333% - 12px);
    }

    .service-time-form__steps-content .step-title {
        font-size: 20px;
    }
}


.service-time-form__calendar-step .calendar-picker {
    position: relative;
    z-index: 1;
}
.service-time-form__calendar-step .calendar-picker .datepicker {
    width: 100%;
}
.service-time-form__calendar-step .calendar-picker .datepicker__wrapper {
    width: 100%;
    color: #000;
    font-family: "FavoritC", sans-serif;
}

.service-time-form__calendar-step .calendar-picker .datepicker table th,
.service-time-form__calendar-step .calendar-picker .datepicker table td {
    width: 40px;
    height: 40px;
}
.service-time-form__calendar-step .calendar-picker .datepicker__daynum,
.service-time-form__calendar-step .calendar-picker .datepicker table th {
    font-size: 16px;
}

.service-time-form__calendar-step .calendar-picker .datepicker__title {
    font-size: 16px;
    text-transform: uppercase;
}

.service-time-form__calendar-step .calendar-picker .datepicker__title + .datepicker__title {
    display: none;
}

.service-time-form__calendar-step .calendar-picker .datepicker__day.is-selected div {
    background: #000;
    color: #fff !important;
}

.service-time-form__calendar-step .times {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}
.service-time-form__calendar-step .time-rows {
    display: flex;
    flex-direction: column;
    gap: 24px;
}
.service-time-form__calendar-step .time {
    position: relative;
}
.service-time-form__calendar-step .time input {
    position: absolute;
    opacity: 0;
    z-index: -1;
}
.service-time-form__calendar-step .time label {
    border: 1px solid #000;
    border-radius: 5px;
    margin: 0;
    padding: 6px 16px;
    cursor: pointer;
}
.service-time-form__calendar-step .time input:checked + label {
    background: #000;
    color: #fff;
}
.service-time-form__calendar-step .time input:disabled + label {
    border-color: #ccc;
    cursor: default;
    color: #ccc;
}

.service-time-form__calendar-step .time-picker > p {
    color: #DF1C41;
    font-size: 14px;
    line-height: 18px;
    margin-top: 24px;
}


@media only screen and (min-width : 1200px) {
    .service-time-form__calendar-step .time-rows {
        flex-direction: row;
        gap: 18px;
    }
    .service-time-form__calendar-step .calendar-picker {
        width: 380px;
        min-width: 380px;
    }
    .service-time-form__calendar-step .times {
        justify-content: flex-start;
    }
}


.service-time-form__final .big-text {
    font-size: 24px;
    line-height: 28px;
}
.service-time-form__final p {
    font-size: 20px;
    line-height: 24px;
    margin: 24px 0;
}
.service-time-form__final .calendar-btns {
    display: flex;
    flex-direction: column;
    gap: 16px;
}
.service-time-form__final .calendar-btns a {
    border: 1px solid #000;
    border-radius: 5px;
    font-size: 18px;
    padding: 8px 16px;
    color: #000;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}
.service-time-form__final .calendar-btns a:hover {
    opacity: 0.7;
}

@media only screen and (min-width : 1200px) {
    .service-time-form__final .calendar-btns {
        flex-direction: row;
    }
    .service-time-form__final p {
        margin: 42px 0;
    }
}